SDL Library Documentation
Prev |  | Next

# SDL_JoystickGetButton

## Name

SDL_JoystickGetButton -- Get the current state of a given button on a given joystick

## Synopsis

    #include "SDL.h"

``Uint8 SDL_JoystickGetButton`(SDL_Joystick *joystick, int button);`

## Description

SDL_JoystickGetButton returns the current state of the given `button` on the given `joystick`.

## Return Value

1 if the button is pressed. Otherwise, 0.

## See Also

`SDL_JoystickNumButtons`

Prev | Home | Next
SDL_JoystickGetHat | Up | SDL_JoystickGetBall